# -*- encoding: utf-8 -*-
# stub: quiescent 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "quiescent".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Will Benton".freeze]
  s.date = "2011-09-02"
  s.description = "This is a very simple mixin to support quiescing constants (which we call \"quiescents\") in Ruby.  You may assign a value to a quiescing constant once during the execution of the program; however, a quiescing constant's value is fixed after the first time it is read.  Quiescing constants may have default values (specified either as explicit values or argumentless blocks to compute that value) that take effect if they are not explicitly assigned to before their first use.".freeze
  s.email = "willb@redhat.com".freeze
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.homepage = "http://github.com/willb/quiescent".freeze
  s.licenses = ["Apache v2".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Simple library for write-once (\"quiescing\") constants".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.3.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 1.5.2"])
    s.add_development_dependency(%q<rcov>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 2.3.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 1.5.2"])
    s.add_dependency(%q<rcov>.freeze, [">= 0"])
  end
end
